Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.ra
Class ActiveMQConnectionFactory

    java.lang.Object
      org.codehaus.activemq.ra.ActiveMQConnectionFactory

All Implemented Interfaces:
  ConnectionFactory, Referenceable, javax.naming.Referenceable, java.io.Serializable

public class ActiveMQConnectionFactory
extends java.lang.Object
implements ConnectionFactory, Referenceable, java.io.Serializable

Version:
  $Revision: 1.6 $
See Also:
  Serialized Form

Constructor Summary
`ActiveMQConnectionFactory(ActiveMQManagedConnectionFactory factory, ConnectionManager manager, ActiveMQConnectionRequestInfo info)`

Method Summary
`Connection` | `createConnection()`
`Connection` | `createConnection(java.lang.String userName, java.lang.String password)`
`javax.naming.Reference` | `getReference()`
`void` | `setReference(javax.naming.Reference reference)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActiveMQConnectionFactory

    public ActiveMQConnectionFactory(ActiveMQManagedConnectionFactory factory,
                                     ConnectionManager manager,
                                     ActiveMQConnectionRequestInfo info)

Parameters:
  `factory` -
  `manager` -
  `info` -

Method Detail

### createConnection

    public Connection createConnection()
                                throws JMSException

  Specified by:
    `createConnection` in interface `ConnectionFactory`
  Throws:
    `JMSException`
  See Also:
    `ConnectionFactory.createConnection()`

### createConnection

    public Connection createConnection(java.lang.String userName,
                                       java.lang.String password)
                                throws JMSException

  Specified by:
    `createConnection` in interface `ConnectionFactory`
  Throws:
    `JMSException`
  See Also:
    `ConnectionFactory.createConnection(java.lang.String, java.lang.String)`

### getReference

    public javax.naming.Reference getReference()

  Specified by:
    `getReference` in interface `javax.naming.Referenceable`
  See Also:
    `Referenceable.getReference()`

### setReference

    public void setReference(javax.naming.Reference reference)

  Specified by:
    `setReference` in interface `Referenceable`
  See Also:
    `Referenceable.setReference(javax.naming.Reference)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.